| Earth Observation Mission CFI Software Lib Software User Manual |

Public Member Functions | Public Attributes

# EECFI::Geodetic Class Reference

Data structure defining the geodetic coordinates. More...

Inheritance diagram for EECFI::Geodetic:

List of all members.

## Public Member Functions
| Geodetic ()
| Class constructor (Empty constructor).
| Geodetic (double lon, double lat, double alt)
| Class constructor without derivatives.
| Geodetic (double lon, double lat, double alt, double lonDer, double latDer, double altDer)
| Class constructor with derivatives.
double | geoDistance (const ModelId &modelId, double lon, double lat, double &az_1to2, double &az_2to1) throw (CfiError)
| Get distance between the geodetic point and another one located at the the same altitude with the input longitude and latitude [m].
## Public Attributes
long | deriv
| derivative flag (XLCFI_NO_DER or XLCFI_DER_1ST).
double | lon
| longitude.
double | lat
| latitude.
double | alt
| altitude.
double | lonDer
| longitude 1st. derivative.
double | latDer
| latitude 1st. derivative.
double | altDer
| altitude 1st. derivative.

## Detailed Description

Data structure defining the geodetic coordinates.

## Constructor & Destructor Documentation

EECFI::Geodetic::Geodetic | ( |  | ) | `[inline]`

Class constructor (Empty constructor).

EECFI::Geodetic::Geodetic | ( | double | lon,
|  | double | lat,
|  | double | alt |
| ) |  |  |

Class constructor without derivatives.

References deriv.

EECFI::Geodetic::Geodetic | ( | double | lon,
|  | double | lat,
|  | double | alt,
|  | double | lonDer,
|  | double | latDer,
|  | double | altDer |
| ) |  |  |

Class constructor with derivatives.

References deriv.

## Member Function Documentation

double EECFI::Geodetic::geoDistance | ( | const ModelId & | modelId,
|  | double | longitude,
|  | double | latitude,
|  | double & | az_1to2,
|  | double & | az_2to1 |
| ) |  |  | throw (CfiError)

Get distance between the geodetic point and another one located at the the same altitude with the input longitude and latitude [m].

The geoDistance method calculates the geodesic distance between two points that lay on the same ellipsoid, and the azimuth of the related geodesic line at both points. See diagram below.

Class destructor.

Parameters:

  | modelId | Model id.
  | longitude | Longitude of the second point. Allowed range=[0, 360)
  | latitude | Latitude of the second point. Allowed range=[-90, 90]
  | az_1to2 | [OUTPUT] azimuth of the geodesic line from point 1 to 2.
  | az_2to1 | [OUTPUT] azimuth of the geodesic line from point 2 to 1.

Returns:
  Geodesic distance [m].

## Member Data Documentation

double EECFI::Geodetic::alt

altitude.

Referenced by EECFI::Coord::getGeodetic().

double EECFI::Geodetic::altDer

altitude 1st. derivative.

Referenced by EECFI::Coord::getGeodetic().

long EECFI::Geodetic::deriv

derivative flag (XLCFI_NO_DER or XLCFI_DER_1ST).

Referenced by Geodetic(), and EECFI::Coord::getGeodetic().

double EECFI::Geodetic::lat

latitude.

Referenced by EECFI::Coord::getGeodetic().

double EECFI::Geodetic::latDer

latitude 1st. derivative.

Referenced by EECFI::Coord::getGeodetic().

double EECFI::Geodetic::lon

longitude.

Referenced by EECFI::Coord::getGeodetic().

double EECFI::Geodetic::lonDer

longitude 1st. derivative.

Referenced by EECFI::Coord::getGeodetic().